
-- @AutoRun
-- drop table score;



CREATE TABLE score (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    score_number numeric(12) NULL,
    test_analysis_id numeric(12)  NULL,
    factor_number numeric(12)  NULL
    );



ALTER TABLE score ADD    
    CONSTRAINT pk_score PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_score_test_analysis_id 
    ON score (test_analysis_id);
